summaryrefslogtreecommitdiffstats
path: root/version.sh
diff options
context:
space:
mode:
authorarpi_esp <arpi_esp@b3059339-0415-0410-9bf9-f77b7e298cf2>2001-06-05 18:40:44 +0000
committerarpi_esp <arpi_esp@b3059339-0415-0410-9bf9-f77b7e298cf2>2001-06-05 18:40:44 +0000
commit5c50d3e7dd839be03468e5058ce7d5eb60dfe1d8 (patch)
tree5c630dd1bec808dfe785e27b47615982d84040ad /version.sh
parent49ea21d07367275022349403cb4a60f8316e5634 (diff)
downloadmpv-5c50d3e7dd839be03468e5058ce7d5eb60dfe1d8.tar.bz2
mpv-5c50d3e7dd839be03468e5058ce7d5eb60dfe1d8.tar.xz
applied solaris8/netbsd/other fixes patch by J├╝rgen Keil <jk@tools.de>
git-svn-id: svn://svn.mplayerhq.hu/mplayer/trunk@1039 b3059339-0415-0410-9bf9-f77b7e298cf2
Diffstat (limited to 'version.sh')
-rwxr-xr-xversion.sh8
1 files changed, 6 insertions, 2 deletions
diff --git a/version.sh b/version.sh
index 4ba53e8d09..d9c35fad26 100755
--- a/version.sh
+++ b/version.sh
@@ -1,4 +1,8 @@
#!/bin/sh
-echo "#define VERSION \"0.17cvs-"`date -r CVS/Entries +%y%m%d-%H:%M`"\"" >version.h
-
+last_cvs_update=`date -r CVS/Entries +%y%m%d-%H:%M 2>/dev/null`
+if [ $? -ne 0 ]; then
+ # probably no gnu date installed(?), use current date
+ last_cvs_update=`date +%y%m%d-%H:%M`
+fi
+echo "#define VERSION \"0.17cvs-${last_cvs_update}\"" >version.h